/*
  * The contents of this file are subject to the Mozilla Public
  * License Version 1.1 (the "License"); you may not use this
  * file except in compliance with the License. You may obtain
  * a copy of the License at http://www.mozilla.org/MPL/
  *
  * Software distributed under the License is distributed on an
  * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
  * or implied. See the License for the specific language governing
  * rights and limitations under the License.
  *
  *
  * The Original Code is .NET RASP toolkit.
  *
  * The Initial Developer of the Original Code is Accenture and Avanade.
  * Portions created by Accenture and Avanade are Copyright (C) 2009
  * Danish National IT and Telecom Agency (http://www.itst.dk). 
  * All Rights Reserved.
  */

package dk.gov.oiosi.addressing;
import dk.gov.oiosi.uddi.EndpointKeyTypeCode;


public class IdentifierUtility {
	
    /// <summary>
    /// From an identifier string and identifier type, returns the right
    /// Identifier subclass
    /// </summary>
    /// <param name="endpointKey">The endpoint key as string</param>
    /// <param name="endpointKeyType">The type of the key</param>
    /// <returns>Returns the relevant Identifier subclass</returns>
	/*
    public Identifier GetIdentifierFromKeyType(
        String endpointKey,
        EndpointKeyTypeCode endpointKeyType
    ) 
    {
    	Identifier id = null;
    	switch(endpointKeyType.getCode()) {
	        case EndpointKeyTypeCode.cvr:
	            id = new IdentifierCvr(endpointKey);
	        case EndpointKeyTypeCode.ean:
	            id = new IdentifierEan(endpointKey);
	        case EndpointKeyTypeCode.ovt:
	            id = new IdentifierOvt(endpointKey);
	        case EndpointKeyTypeCode.p:
	            id = new IdentifierP(endpointKey);
	        case EndpointKeyTypeCode.se:
	            id = new IdentifierSe(endpointKey);
	        case EndpointKeyTypeCode.vans:
	            id = new IdentifierVans(endpointKey);
	        case EndpointKeyTypeCode.iban:
	            id = new IdentifierIban(endpointKey);
	        case EndpointKeyTypeCode.duns:
	            id = new IdentifierDuns(endpointKey);
	        case EndpointKeyTypeCode.cpr:
	            id = new IdentifierCpr(endpointKey);
		}
    	return id;
    }
    */
    
    /// <summary>
    /// Parses the key type code
    /// </summary>
    /// <param name="code"></param>
    /// <returns></returns>
    public static int ParseKeyTypeCode(String code) {
    	if(code.equalsIgnoreCase("cvr"))
    		return EndpointKeyTypeCode.cvr;
    	if(code.equalsIgnoreCase("ean"))
    		return EndpointKeyTypeCode.ean;
    	if(code.equalsIgnoreCase("ovt"))
    		return EndpointKeyTypeCode.ovt;
    	if(code.equalsIgnoreCase("p"))
    		return EndpointKeyTypeCode.p;
    	if(code.equalsIgnoreCase("se"))
    		return EndpointKeyTypeCode.se;
    	if(code.equalsIgnoreCase("vans"))
    		return EndpointKeyTypeCode.vans;
    	if(code.equalsIgnoreCase("iban"))
    		return EndpointKeyTypeCode.iban;
    	if(code.equalsIgnoreCase("duns"))
    		return EndpointKeyTypeCode.duns;
    	if(code.equalsIgnoreCase("cpr"))
    		return EndpointKeyTypeCode.cpr;
        return EndpointKeyTypeCode.other;
    }
    
    public static Identifier GetIdentifierFromKeyType(
    		String endpointKey,
    		String endpointKeyType
        ) 
        {
        	Identifier id = null;
        	switch(ParseKeyTypeCode(endpointKeyType)) {
    	        case EndpointKeyTypeCode.cvr:
    	            id = new IdentifierCvr(endpointKey);
    	            break;
    	        case EndpointKeyTypeCode.ean:
    	            id = new IdentifierEan(endpointKey);
    	            break;
    	        case EndpointKeyTypeCode.ovt:
    	            id = new IdentifierOvt(endpointKey);
    	            break;
    	        case EndpointKeyTypeCode.p:
    	            id = new IdentifierP(endpointKey);
    	            break;
    	        case EndpointKeyTypeCode.se:
    	            id = new IdentifierSe(endpointKey);
    	            break;
    	        case EndpointKeyTypeCode.vans:
    	            id = new IdentifierVans(endpointKey);
    	            break;
    	        case EndpointKeyTypeCode.iban:
    	            id = new IdentifierIban(endpointKey);
    	            break;
    	        case EndpointKeyTypeCode.duns:
    	            id = new IdentifierDuns(endpointKey);
    	            break;
    	        case EndpointKeyTypeCode.cpr:
    	            id = new IdentifierCpr(endpointKey);
    	            break;
    	        default:
    	        	break;
    		}
        	return id;
        }
}
