/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and 
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.common;

/**
 * Represents an out variable to have .Net like out variable on custom collections
 * @param <T> The type of the parameter
 */
public class OutVariable<T> {
	private T variable;

	/**
	 * Default constructor that sets the internal variable to null.
	 */
	public OutVariable() {}

	/**
	 * Constructor that takes the variable as parameter and sets it internally
	 * @param variable
	 */
	public OutVariable(T variable) {
		setVariable(variable);
	}
	
	/**
	 * Gets the internal variable 
	 * @return the internal variable
	 */
	public T getVariable() {
		return variable;
	}
	
	/**
	 * Set the internal variable
	 * @param variable the variable to be set internally
	 */
	public void setVariable(T variable) {
		this.variable = variable;
	}
}
