package dk.gov.oiosi.common.startup;

import dk.gov.oiosi.configuration.ConfigurationHandler;
import dk.gov.oiosi.exception.MainException;

import java.util.List;

/**
 * Interface for all startup tasks, which can be executed by
 * {@link ConfigurationHandler}.executeStartupTasks
 *
 * @author Dmitriy Lapko, TrueLink A/S
 * @since OIORASP 1.3.0
 */
public interface IStartupTask {

	/**
	 * Provides list of config options for the task
	 */
	public void init(List<StartupTaskConfiguration> configList);

	/**
	 * Actually executes the task
	 *
	 * @throws MainException
	 *             if some critical problem was found which should prevent
	 *             system from further loading
	 */
	public void doTask() throws MainException;

}
