/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.communication.configuration;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * CustomHeaderConfiguration.
 */
public class CustomHeaderConfiguration {

    /**
     * List of CustomHeaderXPathConfiguration.
     */
    private List<CustomHeaderXPathConfiguration> xPaths = new ArrayList<CustomHeaderXPathConfiguration>();

    /**
     * A dictionary containing XPath expressions used by the custom headers.
     *
     * @return search path for custom headers.
     */
    public CustomHeaderXPathConfiguration[] getXPaths() {
        if (!xPaths.isEmpty()) {
            return xPaths.toArray(new CustomHeaderXPathConfiguration[xPaths.size()]);
        } else {
            return null;
        }
    }

    /**
     * Init xpath expressions.
     *
     * @param value list of xpath xpath expressions.
     */
    public void setXPaths(CustomHeaderXPathConfiguration[] value) {
        xPaths = Arrays.asList(value);
    }
}