package dk.gov.oiosi.communication.configuration.mail;

import dk.gov.oiosi.common.TimeSpan;

public class MailServerConnectionPolicy {
	
	public static final int DEFAULT_POLLING_INTERVAL_IN_SECONDS = 5;
	
	private TimeSpan pollingInterval = new TimeSpan(1000 * DEFAULT_POLLING_INTERVAL_IN_SECONDS);
    private MailAuthenticationMode authenticationMode = MailAuthenticationMode.PlainText;
    private int port;
    
    public MailServerConnectionPolicy(TimeSpan pollingInterval, MailAuthenticationMode authenticationMode, int port) {
        this.pollingInterval = pollingInterval;
        this.authenticationMode = authenticationMode;
        this.port = port;
    }

	public TimeSpan getPollingInterval() {
		return pollingInterval;
	}

	public MailAuthenticationMode getAuthenticationMode() {
		return authenticationMode;
	}

	public int getPort() {
		return port;
	}
}
