/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.security;

import java.security.cert.X509Certificate;

/**
 * Exception thrown when attemting to construct an OCES employee certificate
 * from an certificate that is not an oces employee certificate.
 */
public class NotAValidOcesEmployeeCertificateException extends CertificateHandlingException {

    /**
     * serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Constructor that takes the certificate attempted to initialize the OCES
     * employee certificate with.
     * 
     * @param certificate
     *            certificate
     */
    public NotAValidOcesEmployeeCertificateException(final X509Certificate certificate) {
        super(certificate.getSubjectDN().toString());
    }

}
