/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.security.ldap;

/**
 * Configuration of the LdapLookupFactory class.
 */
public class LdapLookupFactoryConfig {

    /**
     * The namespace and class of the OcspLookup implementation.
     */
    private String implementationNamespaceClass = "";

    /**
     * ImplementationNamespaceClass.
     * 
     * @return ImplementationNamespaceClass
     */
    public String getImplementationNamespaceClass() {
        return implementationNamespaceClass;
    }

    /**
     * ImplementationNamespaceClass.
     * 
     * @param value
     *            ImplementationNamespaceClass
     */
    public void setImplementationNamespaceClass(String value) {
        implementationNamespaceClass = value;
    }

    /**
     * The namespace of the LdapLookup implementation
     */
    private String implementationAssembly = "";

    /**
     * ImplementationAssembly.
     * 
     * @return ImplementationAssembly
     */
    public String getImplementationAssembly() {
        return implementationAssembly;
    }

    /**
     * ImplementationAssembly.
     * 
     * @param value
     *            ImplementationAssembly
     */
    public void setImplementationAssembly(String value) {
        implementationAssembly = value;
    }

    /**
     * Default constructor.
     */
    public LdapLookupFactoryConfig() {
    }

}
