/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.security.oces;

/**
 * Represents the different certificate types.
 */
public class OcesCertificateType {

    /**
     * Certificate type.
     */
    private int value = -1;

    /**
     * Constructor.
     * 
     * @param value
     *            type
     */
    public OcesCertificateType(int value) {
        this.value = value;
    }

    /**
     * Certificate type.
     * 
     * @return type
     */
    public int getType() {
        return value;
    }

    /**
     * Personal OCES certificate.
     */
    public static final int OcesPersonal = 0;

    /**
     * OCES employee certificate.
     */
    public static final int OcesEmployee = 1;

    /**
     * OCES organization (company)certificate.
     */
    public static final int OcesOrganisation = 2;

    /**
     * OCES device certificate.
     */
    public static final int OcesDevice = 3;

    /**
     * Non-OCES certificate.
     */
    public static final int NonOces = 4;

}
