/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.security.validation;

import dk.gov.oiosi.exception.MainException;

/**
 * Abstract certificatevalidation exception. Must be implemented.
 */
public abstract class CertificateValidationException extends MainException {

	private static final long serialVersionUID = 2011817418709799029L;

	/**
     * Base constructor.
     */
    public CertificateValidationException() {
        super();
    }

    /**
     * Base constructor.
     * @param e message
     */
    public CertificateValidationException(final String e) {
        super(e);
    }

    /**
     * Constructor with innerexception
     * 
     * @param innerException
     *            innerexception of the thrown exception
     */
    public CertificateValidationException(final Throwable innerException) {
        super(innerException);
    }

}
