/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and 
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.uddi;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Configuration section for the lookup registry fallback mechanism.
 * @author dennis.soegaard
 *
 */
public class LookupRegistryFallbackConfig {
    private Collection<Registry> _registries = new ArrayList<Registry>();

    /**
     * Default constructor
     */
    public LookupRegistryFallbackConfig() { }
    
    /**
     * Constructor that takes the given registries.
     * @param registries
     */
    public LookupRegistryFallbackConfig(Collection<Registry> registries) {
    	setRegistries(registries);
    }
    
    /**
     * Gets the registries
     * @return a collection of registries
     */
    public Collection<Registry> getRegistries() {
    	return _registries;
    }
    
    /**
     * Sets the registries
     * @param registries the registries that should be initiated
     */
    public void setRegistries(Collection<Registry> registries) {
    	_registries = registries;
    }
}
