package dk.gov.oiosi.uddi;

import dk.gov.oiosi.addressing.Identifier;
import dk.gov.oiosi.communication.Uri;

/**
 * DTO used as identifying cache key.
 */
public class UddiLookupKey {
    private Identifier identifier;
    private UddiId serviceId;

    private Uri endPointAddress;

    public UddiLookupKey(Identifier identifier, UddiId serviceId, Uri endPointAddress) {
        this.identifier = identifier;
        this.serviceId = serviceId;
        this.endPointAddress = endPointAddress;
    }

    @Override
    public int hashCode() {
        return identifier.hashCode();
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }

        if (getClass() != obj.getClass()) {
            return false;
        }
        UddiLookupKey other = (UddiLookupKey) obj;

        if (!identifier.equals(other.identifier)) {
            return false;
        }

        if (serviceId != null) {
            if (!serviceId.equals(other.serviceId)) {
                return false;
            }
        } else {
            if (other.serviceId != null) {
                return false;
            }
        }

        return endPointAddress.equals(other.endPointAddress);
    }

    @Override
    public String toString() {
        return endPointAddress + " - " + identifier + ": " + serviceId;
    }
}