/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.xml;

import dk.gov.oiosi.exception.MainException;

/**
 * Represents the parent exception to all exceptions in the xml namespace.
 * 
 */
public class XmlException extends MainException {

    /**
     * serialVersionUID.
     */
    private static final long serialVersionUID = 2L;

    /**
     * Base constructor.
     */
    public XmlException() {
    }

    /**
     * Constructor with keywords.
     * 
     * @param message
     *            message
     */
    public XmlException(final String message) {
        super(message);
    }

    /**
     * Constructor with inner exception.
     * 
     * @param e
     *            innerexception of the thrown exception
     */
    public XmlException(final Throwable e) {
        super(e);
    }


    /**
     * Constructor with inner exception.
     * 
     * @param message
     * @param e
     *            innerexception of the thrown exception
     */
    public XmlException(final String message, final Throwable e) {
        super(message, e);
    }


}
