/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.xml.documenttype;

import dk.gov.oiosi.xml.XmlDocument;
import dk.gov.oiosi.xml.XmlException;

/**
 * Search for document type configuration from the xml document failed exception.
 */
public class SearchForDocumentTypeFromXmlDocumentFailedException extends XmlException {

    /**
     * serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Constructor.
     * 
     * @param xmlDocument
     *            The xml document for which the search was performed
     * @param innerException
     *            The inner exception
     */
    public SearchForDocumentTypeFromXmlDocumentFailedException(final XmlDocument xmlDocument, final Exception innerException) {
        super("Document type not found", innerException);
        setReceiverError(false);
        setSoapFaultAction("UnknownDocumentTypeFault");
    }
}
