/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.xml.xpath;

import dk.gov.oiosi.xml.XmlException;

/**
 * Custom exception used when an xpath expression gives too many results.
 */
public class TooManyXpathResultsException extends XmlException {

	private static final long serialVersionUID = -5824363357702836587L;

	/**
     * Constructor.
     *
     * @param xpath
     *            the used xpath
     * @param count
     *            number of results
     */
    public TooManyXpathResultsException(final String xpath, final int count) {
        super("xpath expression resulted in unexpected number of results : " + xpath + " : " + count);
    }

}
