package dk.gov.oiosi;

import junit.framework.TestCase;
import org.apache.log4j.xml.DOMConfigurator;

/**
 * Local abstract version of TestCase, to configure Log4j with local test config.
 */
public abstract class AbstractTestCase extends TestCase {

    private static boolean LOG4J_CONFIGURED = false;

    protected void setUp() throws Exception {
        super.setUp();

        // Central config for all tests
        if (!LOG4J_CONFIGURED) {
            DOMConfigurator.configure("test/src/log4j.xml");
            LOG4J_CONFIGURED = true;
        }
    }
}