package dk.gov.oiosi.configuration;

import static dk.gov.oiosi.configuration.CacheConfigKey.*;
import junit.framework.TestCase;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;

import dk.gov.oiosi.test.TestConstants;

public class CacheFactoryConstantsTest extends TestCase {

	protected void setUp() throws Exception {
		super.setUp();
	}

	public void testGetDefaultCacheConfigString() {
		assertNotNull(CacheFactoryConstants.getDefaultCacheConfig());
		assertNull(CacheFactoryConstants.getDefaultCacheConfig("BLABLABLA"));
		String nul = "null";
		assertNull(CacheFactoryConstants.getDefaultCacheConfig(nul));
		CacheConfigKey nulKey = null;
		assertNull(CacheFactoryConstants.getDefaultCacheConfig(nulKey));

		for (int i = 0; i < CacheConfigKey.values().length; i++) {
			CacheConfigElement cceByKey = CacheFactoryConstants.getDefaultCacheConfig(CacheConfigKey.values()[i]);
			CacheConfigElement cceByName = CacheFactoryConstants.getDefaultCacheConfig(CacheConfigKey.values()[i].name());
			assertNotNull(cceByKey);
			assertNotNull(cceByName);
			assertEquals(cceByKey, cceByName);
		}
	}

	public void testEqualTestCacheConfigWithDefault() {
		checkEqualCacheConfigWithDefault(TestConstants.PATH_RASPCONFIGURATION_TEST);
	}

	public void testEqualLiveCacheConfigWithDefault() {
		checkEqualCacheConfigWithDefault(TestConstants.PATH_RASPCONFIGURATION_PRODUCTION);
	}
	
	protected void checkEqualCacheConfigWithDefault(String pathRaspconfiguration) {
		Level initLevel = Logger.getLogger(ConfigurationHandler.class).getLevel();
		try {
			Logger.getLogger(ConfigurationHandler.class).setLevel(Level.INFO);
			ConfigurationHandler.clear();
			ConfigurationHandler.setConfigurationFile(pathRaspconfiguration);
			CacheConfig cc = ConfigurationHandler.getInstance().getCacheConfig();
			assertEquals(CacheFactoryConstants.getDefaultCacheConfig(CertificateCache), cc.getCertificateCache());
			assertEquals(CacheFactoryConstants.getDefaultCacheConfig(CrlLookupCache), cc.getCrlLookupCache());
			assertEquals(CacheFactoryConstants.getDefaultCacheConfig(OcspLookupCache), cc.getOcspLookupCache());
			assertEquals(CacheFactoryConstants.getDefaultCacheConfig(SchematronCache), cc.getSchematronCache());
			assertEquals(CacheFactoryConstants.getDefaultCacheConfig(UddiServiceCache), cc.getUddiServiceCache());
			assertEquals(CacheFactoryConstants.getDefaultCacheConfig(UddiTModelCache), cc.getUddiTModelCache());
		} finally {
			Logger.getLogger(ConfigurationHandler.class).setLevel(initLevel);
		}
	}
}
