/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.security;

import junit.framework.TestCase;

public class CertificateIssuerSubjectTest extends TestCase {

    public void testEquals() {
        String subject = "OID.2.5.4.5=CVR:33265735-FID:1293812813127 + CN=TL Nemhandel (funktionscertifikat), O=TRUELINK NEMHANDEL ApS // CVR:33265735, C=DK";

        // Verify same object
        CertificateIssuerSubject subject1 = new CertificateIssuerSubject(subject);
        assertTrue("Objects should be true (same object)", subject1.equals(subject1));

        // Verify other object - same type
        CertificateIssuerSubject subject2 = new CertificateIssuerSubject(subject);
        assertTrue("Objects should be true (other obj. with same subject)", subject1.equals(subject2));

        // Verify other object - same parent type
        CertificateSubject certificateSubject = new CertificateSubject(subject);
        assertFalse("Equals should fail - not same object type", subject1.equals(certificateSubject));
    }
}