package dk.gov.oiosi.test;

/**
 * Constants for testing.
 */
public class TestConstants {

    static final String PATH_COMMON = "Resources/";

    public static final String PATH_RASPCONFIGURATION_TEST = PATH_COMMON + "RaspConfiguration.Test.xml";
    public static final String PATH_RASPCONFIGURATION_PRODUCTION = PATH_COMMON + "RaspConfiguration.Live.xml";

    public static final String PATH_EXAMPLES_OK = PATH_COMMON + "Documents/Examples/";
    public static final String PATH_APPLICATIONRESPONSE_201 = PATH_EXAMPLES_OK + "OIOUBL_ApplicationResponse_v2p1.xml";
    public static final String PATH_APPLICATIONRESPONSE202_XML = PATH_EXAMPLES_OK + "OIOUBL_ApplicationResponse_v2p2.xml";
    public static final String PATH_CATALOGUE = PATH_EXAMPLES_OK + "OIOUBL_Catalogue_v2p2.xml";
    public static final String PATH_CATALOGUEDELETION = PATH_EXAMPLES_OK + "OIOUBL_CatalogueDeletion_v2p1.xml";
    public static final String PATH_CATALOGUEITEMSPECIFICATIONUPDATE = PATH_EXAMPLES_OK + "OIOUBL_CatalogueItemSpecificationUpdate_v2p1.xml";
    public static final String PATH_CATALOGUEPRICINGUPDATE = PATH_EXAMPLES_OK + "OIOUBL_CataloguePricingUpdate_v2p1.xml";
    public static final String PATH_CATALOGUEREQUEST = PATH_EXAMPLES_OK + "OIOUBL_CatalogueRequest_v2p1.xml";
    public static final String PATH_CREDITNOTE = PATH_EXAMPLES_OK + "OIOUBL_CreditNote_v2p1.xml";
    public static final String PATH_CREDITNOTE07_XML = PATH_EXAMPLES_OK + "OIOXML_CreditNote_v0.7.xml";
    public static final String PATH_INVOICE = PATH_EXAMPLES_OK + "OIOUBL_Invoice_v2p1.xml";
    public static final String PATH_INVOICE_PIE = PATH_EXAMPLES_OK + "OIOXML_Invoice_v0.7.xml";
    public static final String PATH_ORDER = PATH_EXAMPLES_OK + "OIOUBL_Order_v2p2.xml";
    public static final String PATH_ORDERCANCELLATION = PATH_EXAMPLES_OK + "OIOUBL_OrderCancellation_v2p1.xml";
    public static final String PATH_ORDERCHANGE = PATH_EXAMPLES_OK + "OIOUBL_OrderChange_v2p1.xml";
    public static final String PATH_ORDERRESPONSE = PATH_EXAMPLES_OK + "OIOUBL_OrderResponse_v2p1.xml";
    public static final String PATH_ORDERRESPONSESIMPLE = PATH_EXAMPLES_OK + "OIOUBL_OrderResponseSimple_v2p1.xml";
    public static final String PATH_REMINDER = PATH_EXAMPLES_OK + "OIOUBL_Reminder_v2p1.xml";
    public static final String PATH_STATEMENT = PATH_EXAMPLES_OK + "OIOUBL_Statement_v2p1.xml";
    public static final String PATH_UTILITYSTATEMENT_XML = PATH_EXAMPLES_OK + "OIOUBL_UtilityStatement_v2p2.xml";

    public static final String PATH_INVOICE_WRONG_ELEMENT = PATH_COMMON + "Documents/Examples_Invalid/OIOUBL_Invoice_v2p1_WrongElement.xml";
    public static final String PATH_INVOICE_WRONG_NAME_SPACE = PATH_COMMON + "Documents/Examples_Invalid/OIOUBL_Invoice_v2p1_WrongNamespace.xml";
    public static final String PATH_INVOICE_NO_ID = PATH_COMMON + "Documents/Examples_Invalid/OIOUBL_Invoice_v2p1_NoId.xml";
    public static final String PATH_INVOICE_INVALID_EAN_NUMBER = PATH_COMMON + "Documents/Examples_Invalid/OIOXML_Invoice_Invalid_EanNumber_v0.7.xml";
    public static final String PATH_UNKNOWNTYPE_XML = PATH_COMMON + "Documents/Examples_Invalid/UnknownType.xml";
    public static final String PATH_NONAMESPACE_XML = PATH_COMMON + "Documents/Examples_Invalid/NoNamespace.xml";

    public static final String PATH_APPLICATIONRESPONSE_XSD = "resources/schemas/UBL v2.0/maindoc/UBL-ApplicationResponse-2.0.xsd";
    public static final String PATH_CREDITNOTE_XSD = "resources/schemas/UBL v2.0/maindoc/UBL-CreditNote-2.0.xsd";
    public static final String PATH_INVOICE_XSD = PATH_COMMON + "Schemas/UBL_v2.0/maindoc/UBL-Invoice-2.0.xsd";
    public static final String PATH_INVOICE07_XSD = "resources/schemas/OIOXML_v0.7/pieStrict.xsd";
    public static final String PATH_NOTIFICATION_XSD = "resources/schemas/UBL v2.0/maindoc/Notification.xsd";
    public static final String PATH_ORDER_XSD = "resources/schemas/UBL v2.0/maindoc/UBL-Order-2.0.xsd";
    public static final String PATH_ORDERRESPONSESIMPLE_XSD = "resources/schemas/UBL v2.0/maindoc/UBL-OrderResponseSimple-2.0.xsd";
    public static final String PATH_REMINDER_XSD = "resources/schemas/UBL v2.0/maindoc/UBL-Reminder-2.0.xsd";

    public static final String PATH_APPLICATIONRESPONSE_XSL = "resources/schematronstylesheets/OIOUBL v2.01/OIOUBL_ApplicationResponse_Schematron.xsl";
    public static final String PATH_CREDITNOTE_XSL = "resources/schematronstylesheets/OIOUBL v2.01/OIOUBL_CreditNote_Schematron.xsl";
    public static final String PATH_INVOICE_XSL = "resources/schematronstylesheets/OIOUBL v2.01/OIOUBL_Invoice_Schematron.xsl";
    public static final String PATH_INVOICE07_XSL = "resources/schematronstylesheets/OIOUBL v0.7/ublinvoice.xsl";
    public static final String PATH_ORDER_XSL = "resources/schematronstylesheets/OIOUBL v2.01/OIOUBL_Order_Schematron.xsl";
    public static final String PATH_ORDERRESPONSESIMPLE_XSL = "resources/schematronstylesheets/OIOUBL v2.01/OIOUBL_OrderResponseSimple_Schematron.xsl";
    public static final String PATH_REMINDER_XSL = "resources/schematronstylesheets/OIOUBL v2.01/OIOUBL_Reminder_Schematron.xsl";

    public static final String PATH_VOCES1_TEST = PATH_COMMON + "Certificates/Test/Virksomhedscertifikat/CVR19343634.Expire20081121.JERNALDERBYENS VENNER - LDAP test.cer";
    public static final String PATH_CERTIFICATE_PERSON = PATH_COMMON + "Certificates/Test/Person/person.cer";
    public static final String PATH_MOCES1_VALID = PATH_COMMON + "Certificates/Test/Medarbejdercertifikat/CVR30808460.Expire20130307.Test MOCES1 (medarbejdercertificat 1).cer";
    //    public static final String PATH_CERTIFICATE_DEVICE = "test/resources/certificates/device.cer";
//    public static final String PATH_CERTIFICATE_DEVICE_TEST = "test/resources/certificates/device_test.cer";
//    public static final String PATH_CERTIFICATE_TEST_ROOT = "test/resources/certificates/oces_test_root.cer";
    public static final String PATH_CERTIFICATE_ROOT = "test/resources/certificates/ocesca.cer";
    public static final String PATH_FOCES1_VALID = PATH_COMMON + "Certificates/Test/Funktionscertifikat/CVR30808460.Expire20131101.Test NemHandelservice.cer";

    public static final String TEST_CERTIFICATE_SUBJECT_FUNCTION = "CN=TEST FOCES1 (funktionscertifikat) + SERIALNUMBER = CVR:30808460-FID:1320135775022, O=DANID A/S // CVR:30808460, C=DK";
    public static final String TEST_CERTIFICATE_SUBJECT_COMPANY = "CN=DANID A/S - DanID Test + SERIALNUMBER=CVR:30808460-UID:1237552804997, O=DANID A/S // CVR:30808460, C=DK";

    public static final String PATH_KEYSTORE_TEST = "test/resources/keys/oiosi_test_certificates.jks";
    public static final String PASSWORD_KEYSTORE_TEST = "Test1234";

    public static final String PATH_INVOICE_XML_IDENTIFIER_EAN = PATH_EXAMPLES_OK + "OIOUBL_Invoice_identifier_ean_v2p1.xml";
    public static final String PATH_INVOICE_XML_IDENTIFIER_OVT = PATH_EXAMPLES_OK + "OIOUBL_Invoice_identifier_ovt_v2p1.xml";
    public static final String PATH_INVOICE_XML_IDENTIFIER_CVR = PATH_EXAMPLES_OK + "OIOUBL_Invoice_identifier_cvr_v2p1.xml";
    public static final String PATH_INVOICE_XML_IDENTIFIER_P = PATH_EXAMPLES_OK + "OIOUBL_Invoice_identifier_p_v2p1.xml";
    public static final String PATH_INVOICE_XML_IDENTIFIER_SE = PATH_EXAMPLES_OK + "OIOUBL_Invoice_identifier_se_v2p1.xml";
    public static final String PATH_INVOICE_XML_IDENTIFIER_VANS = PATH_EXAMPLES_OK + "OIOUBL_Invoice_identifier_vans_v2p1.xml";
    public static final String PATH_INVOICE_XML_IDENTIFIER_IBAN = PATH_EXAMPLES_OK + "OIOUBL_Invoice_identifier_iban_v2p1.xml";
    public static final String PATH_INVOICE_XML_IDENTIFIER_DUNS = PATH_EXAMPLES_OK + "OIOUBL_Invoice_identifier_duns_v2p1.xml";
}