package dk.gov.oiosi.test.unit.communication.configuration;

import dk.gov.oiosi.communication.configuration.KeyTypeMapping;
import dk.gov.oiosi.communication.configuration.KeyTypeMappingExpression;
import dk.gov.oiosi.communication.configuration.KeyTypeMappingFailedException;
import junit.framework.TestCase;

public class KeyTypeMappingExpressionTest extends TestCase {

	public void testAddKeyTypeMapping() throws KeyTypeMappingFailedException {
		KeyTypeMappingExpression mappings = new KeyTypeMappingExpression();
		KeyTypeMapping expected = new KeyTypeMapping("CVR", "cvr");
		mappings.addMapping(expected);
		KeyTypeMapping actual = mappings.getMapping("CVR");
		assertNotNull(actual);
		assertEquals(expected.getMapsTo(), actual.getMapsTo());
		assertEquals(expected.getValue(), actual.getValue());
	}
	
	public void testAddMultipleKeyTypeMappings() throws KeyTypeMappingFailedException {
		KeyTypeMappingExpression mappings = new KeyTypeMappingExpression();
		KeyTypeMapping expected1 = new KeyTypeMapping("CVR", "cvr");
		KeyTypeMapping expected2 = new KeyTypeMapping("EAN", "ean");		
		mappings.addMapping(expected1);
		mappings.addMapping(expected2);
		KeyTypeMapping actual1 = mappings.getMapping("CVR");
		KeyTypeMapping actual2 = mappings.getMapping("EAN");
		assertNotNull(actual1);
		assertEquals(expected1.getMapsTo(), actual1.getMapsTo());
		assertEquals(expected1.getValue(), actual1.getValue());
		assertNotNull(actual2);
		assertEquals(expected2.getMapsTo(), actual2.getMapsTo());
		assertEquals(expected2.getValue(), actual2.getValue());
	}
}
