package dk.gov.oiosi.test.unit.uddi;

import dk.gov.oiosi.uddi.UddiGuidId;
import dk.gov.oiosi.uddi.UddiNonGuidId;
import junit.framework.TestCase;

public class UddiGuidIDTest extends TestCase {

    public void testCheckUddiGuidValidWithoutUddi() {
        assertFalse(UddiGuidId.isValidGuidId("uddi:4ba19475-2b75-452c-969c-fdeb5f07739e", false));
        assertTrue(UddiGuidId.isValidGuidId("4ba19475-2b75-452c-969c-fdeb5f07739e", false));
    }

    public void testCheckUddiGuidValidWithUddi() {
        boolean notValid = UddiGuidId.isValidGuidId("4ba19475-2b75-452c-969c-fdeb5f07739e", true);
        boolean valid = UddiGuidId.isValidGuidId("uddi:4ba19475-2b75-452c-969c-fdeb5f07739e", true);
        assertFalse(notValid);
        assertTrue(valid);
    }

    public void testCheckUddiGuidValidWithNemHandel() {
        boolean notValid = UddiGuidId.isValidGuidId("4ba19475-2b75-452c-969c-fdeb5f07739e", true);
        boolean valid = UddiGuidId.isValidGuidId("uddi:nemhandel.dk:4ba19475-2b75-452c-969c-fdeb5f07739e", true);
        assertFalse(notValid);
        assertTrue(valid);
    }

    public void testCheckNonUddiGuidWithoutUddi() {
        try {
            new UddiNonGuidId("4ba19475-2b75-452c-969c-fdeb5f07739e");
            fail("Expected IllegalArgumentException");
        } catch (IllegalArgumentException e) {
            // OK
        }
    }

    public void testCheckNonUddiGuidWithUddi() {
        try {
            new UddiNonGuidId("uddi:4ba19475-2b75-452c-969c-fdeb5f07739e");
            fail("Expected IllegalArgumentException");
        } catch (IllegalArgumentException e) {
            // OK
        }
    }

    public void testCheckNonUddiGuid() {
        new UddiNonGuidId("uddi:4ba19475-2b75-452c-969c-fdeb5f07739e111111");
    }
}