/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.uddi;

import junit.framework.TestCase;

/**
 * Unit test to verify internal object logic.
 */
public class UddiLookupResponseTest extends TestCase {

    /**
     * Verify the bool logic in implementation.
     */
    public void testHasNewerVersion() {
        UddiLookupResponse uddiLookupResponse = new UddiLookupResponse(null, null, null, null, null, null, null, null, null);
        assertFalse("NewerVersion field is null, so false should be the result", uddiLookupResponse.hasNewerVersion());

        uddiLookupResponse.setNewerVersionReference(new UddiId() {
            @Override
            public String getID() {
                return null;
            }
        });
        assertTrue("NewerVersion field is set, so TRUE should be the result", uddiLookupResponse.hasNewerVersion());
    }
}