package dk.gov.oiosi.util;

import junit.framework.TestCase;

import javax.xml.namespace.QName;
import java.util.ArrayList;
import java.util.Arrays;

public class AxisUtilTest extends TestCase {

    public void testExtractFaultAction() {
        assertNull(AxisUtil.extractFaultAction(null));
        assertNull(AxisUtil.extractFaultAction(new ArrayList<String>()));
        assertEquals("", AxisUtil.extractFaultAction(Arrays.asList("BLA", "BLA")));

        assertEquals("local", AxisUtil.extractFaultAction(Arrays.asList("BLA", "BLA", new QName("local"))));
        assertEquals("local;local2", AxisUtil.extractFaultAction(Arrays.asList("BLA", "BLA", new QName("local"), "BLA", null, new QName("local2"))));
    }

    public void testExtractFaultCode() {
        assertNull(AxisUtil.extractFaultCode(null));
        assertEquals("localPart", AxisUtil.extractFaultCode(new QName("namespace", "localPart")));
        assertEquals("", AxisUtil.extractFaultCode(new QName("")));
        assertEquals("BLA", AxisUtil.extractFaultCode(new QName("BLA")));
    }
}