package dk.gov.oiosi.xml.schematron.research.bulk;

import dk.gov.oiosi.xml.schematron.research.SchematronComparatorBulkResearchTest;

/**
 * Helper class for {@link SchematronComparatorBulkResearchTest}
 * 
 * @author Dmitriy Lapko, TrueLink A/S
 */
public class ErrorMessageTextHandler {

	private static String[] NON_VALIDATION_ERRORS = new String[] { "Sender is not", "Error: ", "Profile ", "Cannot find ID:", "Failed to validate document" };

	public static String extractSchematronError(String t) {
		String text = skipExclusionErrors(t);
		if (text == null) {
			return null;
		}
		if (!text.startsWith("Failed to validate document :")) {
			return text;
		}
		return null;
	}

	public static String extractSchemaError(String t) {
		String text = skipExclusionErrors(t);
		if (text == null) {
			return null;
		}
		if (text.startsWith("Failed to validate document :")) {
			return text;
		}
		return null;
	}

	public static String skipExclusionErrors(String t) {
		if (t == null) {
			return null;
		}
		String text = t.trim();
		if (text.length() < 5) {
			return null;
		}
		for (int i = 0; i < NON_VALIDATION_ERRORS.length; i++) {
			if (text.startsWith(NON_VALIDATION_ERRORS[i])) {
				return null;
			}
		}
		return text;
	}
}
